> For the complete documentation index, see [llms.txt](https://docs.wisej.com/api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wisej.com/api/wisej.web/enumerations/wisej.web.scrolleventtype.md).

# ScrollEventType

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

Specifies the type of action used to raise the [Scroll](/api/wisej.web/content/scrollbar.md#scroll) event.

{% tabs %}
{% tab title="C#" %}

```csharp
public enum ScrollEventType : Enum
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Enum ScrollEventType As [Enum]
```

{% endtab %}
{% endtabs %}

## Fields

| Name          | Description                                                                                                         |
| ------------- | ------------------------------------------------------------------------------------------------------------------- |
| **Decrement** | The scroll box was moved a small distance. The user clicked the left(horizontal) or top(vertical) scroll arrow.     |
| **First**     | The scroll box was moved to the [Minimum](/api/wisej.web/content/scrollbar.md#minimum) position.                    |
| **Increment** | The scroll box was moved a small distance. The user clicked the right(horizontal) or bottom(vertical) scroll arrow. |
| **Last**      | The scroll box was moved to the [Maximum](/api/wisej.web/content/scrollbar.md#maximum) position.                    |

## Used By

| Name                                                                                       | Description                                     |
| ------------------------------------------------------------------------------------------ | ----------------------------------------------- |
| [ScrollEventArgs.Type](/api/wisej.web/content/scrollbar/wisej.web.scrolleventargs.md#type) | Returns the type of scroll event that occurred. |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/enumerations/wisej.web.scrolleventtype.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
